## ros-indigo-moveit-ros-perception 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_ros_perception)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")

find_package(Boost REQUIRED thread signals)

find_package(OpenGL REQUIRED)
find_package(GLEW REQUIRED)
find_package(GLUT REQUIRED)
if (OPENGL_FOUND)
  set(gl_LIBS ${gl_LIBS} ${OPENGL_LIBRARIES})
endif(OPENGL_FOUND)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  roscpp
  rosconsole
  urdf
  message_filters
  tf
  tf_conversions
  pluginlib
  image_transport
  object_recognition_msgs
  cmake_modules
  sensor_msgs
  moveit_msgs
)
find_package(Eigen REQUIRED)

find_package(OpenMP)
find_package(octomap REQUIRED)
find_package(OpenCV)

catkin_package(
  INCLUDE_DIRS
    mesh_filter/include
    lazy_free_space_updater/include
    depth_image_octomap_updater/include
    point_containment_filter/include
    occupancy_map_monitor/include
    pointcloud_octomap_updater/include
    semantic_world/include
    ${OCTOMAP_INCLUDE_DIRS}
  LIBRARIES
    moveit_lazy_free_space_updater
    moveit_point_containment_filter
    moveit_occupancy_map_monitor
    moveit_pointcloud_octomap_updater_core
    moveit_semantic_world
    ${OCTOMAP_LIBRARIES}
  CATKIN_DEPENDS
    moveit_core
    image_transport
    moveit_msgs)

include_directories(mesh_filter/include
                    lazy_free_space_updater/include
                    depth_image_octomap_updater/include
                    point_containment_filter/include
                    occupancy_map_monitor/include
                    pointcloud_octomap_updater/include
                    semantic_world/include
                    ${OpenCV_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS}
                    )
include_directories(SYSTEM
                    ${EIGEN_INCLUDE_DIRS}
                    ${GLEW_INCLUDE_DIR}
                    ${GLUT_INCLUDE_DIR}
                    )

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_subdirectory(lazy_free_space_updater)
add_subdirectory(point_containment_filter)
add_subdirectory(occupancy_map_monitor)
add_subdirectory(pointcloud_octomap_updater)
add_subdirectory(mesh_filter)
add_subdirectory(depth_image_octomap_updater)

add_subdirectory(semantic_world)

install(
  FILES
    pointcloud_octomap_updater_plugin_description.xml
    depth_image_octomap_updater_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== depth_image_octomap_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_depth_image_octomap_updater)

add_library(${MOVEIT_LIB_NAME}_core
  src/depth_image_octomap_updater.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION 0.7.3)

target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_lazy_free_space_updater moveit_mesh_filter moveit_occupancy_map_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_dependencies(${MOVEIT_LIB_NAME}_core ${sensor_msgs_EXPORTED_TARGETS})

add_library(${MOVEIT_LIB_NAME} src/updater_plugin.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}_core ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/ DESTINATION include)

=== lazy_free_space_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_lazy_free_space_updater)

add_library(${MOVEIT_LIB_NAME}
  src/lazy_free_space_updater.cpp
  )

set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
target_link_libraries(${MOVEIT_LIB_NAME} moveit_occupancy_map_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_dependencies(${MOVEIT_LIB_NAME} ${sensor_msgs_EXPORTED_TARGETS})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/ DESTINATION include)

=== mesh_filter/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_mesh_filter)

add_library(${MOVEIT_LIB_NAME}
  src/mesh_filter_base.cpp
  src/sensor_model.cpp
  src/stereo_camera_model.cpp
  src/gl_renderer.cpp
  src/gl_mesh.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${gl_LIBS} glut GLEW)

if (CATKIN_ENABLE_TESTING)
  # Can only run this test if we have a display
  if (DEFINED ENV{DISPLAY} AND NOT $ENV{DISPLAY} STREQUAL "")
    catkin_add_gtest(mesh_filter_test test/mesh_filter_test.cpp)
    target_link_libraries(mesh_filter_test ${catkin_LIBRARIES} ${Boost_LIBRARIES} moveit_mesh_filter)
  else()
    message("No display, will not configure tests for moveit_ros_perception/mesh_filter")
  endif()
endif()

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== occupancy_map_monitor/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_occupancy_map_monitor)

add_library(${MOVEIT_LIB_NAME}
  src/occupancy_map_monitor.cpp
  src/occupancy_map_updater.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

add_executable(moveit_occupancy_map_server src/occupancy_map_server.cpp)
target_link_libraries(moveit_occupancy_map_server ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

=== point_containment_filter/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_point_containment_filter)

add_library(${MOVEIT_LIB_NAME} src/shape_mask.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== pointcloud_octomap_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_pointcloud_octomap_updater)

add_library(${MOVEIT_LIB_NAME}_core src/pointcloud_octomap_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_point_containment_filter moveit_occupancy_map_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES LINK_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")

add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION include)

install(TARGETS ${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== semantic_world/CMakeLists.txt ===
set(CMAKE_BUILD_TYPE Debug)
set(MOVEIT_LIB_NAME moveit_semantic_world)

add_library(${MOVEIT_LIB_NAME} src/semantic_world.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenCV_LIBRARIES})

install(DIRECTORY include/ DESTINATION include)

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-moveit-ros-perception (0.7.14-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.13-1trusty) trusty; urgency=high

  * [improve] removed deprecated pluginlib macro (#677 <https://github.com/ros-planning/moveit/issues/677>)
  * Contributors: Mikael Arguedas

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.9-1trusty) trusty; urgency=high

  * [fix] gcc6 build error (#471 <https://github.com/ros-planning/moveit/issues/471>, #458 <https://github.com/ros-planning/moveit/issues/458>)
  * Contributors: Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dmitry Rozhkov

 -- Ioan Sucan <isucan@google.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.7-1trusty) trusty; urgency=high

  * clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.2-1trusty) trusty; urgency=high

  * set empty display function for glut window
    With freeglut 3.0 moveit aborts over here, printing
    > ERROR: No display callback registered for window 1
    According to https://sourceforge.net/p/freeglut/bugs/229/
    and https://www.opengl.org/resources/libraries/glut/spec3/node46.html
    a callback *must* be registered for each window.
    With this patch moveit starts up as expected.
  * Contributors: v4hn

 -- Ioan Sucan <isucan@google.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.1-1trusty) trusty; urgency=high

  * [fix] Remove OpenMP parallelization (fixes #563 <https://github.com/ros-planning/moveit_ros/issues/563>)
  * Contributors: Stefan Kohlbrecher

 -- Ioan Sucan <isucan@google.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * Added missing dependency on moveit_msgs package
  * Contributors: Andriy Petlovanyy, Dave Coleman, dg

 -- Ioan Sucan <isucan@google.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.5-1trusty) trusty; urgency=high

  * update maintainers
  * adding RAII-based locking for OccMapTree
  * moving lazy_free_space_updater into it's own library
  * Contributors: Jonathan Bohren, Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Sat, 24 Jan 2015 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sat, 20 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.3-1trusty) trusty; urgency=high

  * port #445 <https://github.com/ros-planning/moveit_ros/issues/445> to indigo
  * disable test that needs display when no display defined
  * GL_TYPE() is a function in newer versions of OpenGL, this fixes tests on Ubuntu 14.04
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Wed, 03 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.1-1trusty) trusty; urgency=high

  * fix linking error on OSX
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.0-1trusty) trusty; urgency=high

  * Fixing invalid iterators if filtered_cloud_topic is not set.
    Adding missing dependency on sensor_msgs.
    Fixing indentation, whitespace, and tabs.
    Incrementing PointCloud2Iterator pixel-at-a-time, not byte-at-a-time.
  * remove PCL dependency
  * Fixed issue with unordered_map and libc++ (LLVM, Mac OS X Mavericks)
    libc++ doesn't have std::tr1::unordered_map, just std::unordered_map
  * Fixing OpenGL gl.h and glu.h inclusion on Mac OS X
  * Contributors: Jason Ziglar, Marco Esposito, Sachin Chitta, Vincent Rabaud

 -- Ioan Sucan <isucan@google.com>  Mon, 27 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.5.19-1trusty) trusty; urgency=high

  * Fix [-Wreorder] warning.
  * Address [cppcheck: duplicateExpression] error.
    The existing check for NaNs is in fact correct for IEEE-compliant floating
    numbers, i.e., if (a == a) then a is not a NaN, but confuses static code
    analyzers. This fix instead uses the isnan(a) macro from <cmath>.
  * Prevent future conflicts between STL and Boost.
    mesh_filter_base.cpp was doing:
    using namespace std;
    using namespace boost;
    Considering that Boost is a testing ground for future standard additions,


=== debian/control ===
Source: ros-indigo-moveit-ros-perception
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-filters, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-octomap, ros-indigo-pluginlib, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-filters, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-octomap, ros-indigo-pluginlib, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-urdf
Description: Components of MoveIt connecting to perception

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-ros-perception//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
